IPSW-KERNEL-EXTRACT(1)

NAME
ipsw-kernel-extract - Extract KEXT(s) from kernelcache

SYNOPSIS
ipsw kernel extract [flags]

DESCRIPTION
Extract KEXT(s) from kernelcache

OPTIONS
-a, --all[=false]
    Extract all KEXTs

-e, --arch=""
    Which architecture to use for fat/universal MachO

--force[=false]
    Overwrite existing extracted KEXT(s)

-h, --help[=false]
    help for extract

--imports[=false]
    Resolve imported symbol names from kernelcache

-o, --output=""
    Directory to extract KEXTs to

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-kernel(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra